// InchAppView.cpp : implementation of the CInchAppView class
//

#include "stdafx.h"
#include "InchApp.h"

#include "InchAppDoc.h"
#include "InchAppView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CInchAppView

IMPLEMENT_DYNCREATE(CInchAppView, CView)

BEGIN_MESSAGE_MAP(CInchAppView, CView)
	//{{AFX_MSG_MAP(CInchAppView)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInchAppView construction/destruction

CInchAppView::CInchAppView()
{
	// TODO: add construction code here

}

CInchAppView::~CInchAppView()
{
}

BOOL CInchAppView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CInchAppView drawing

void CInchAppView::OnDraw(CDC* pDC)
{
	CInchAppDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	int x1 = (int)(1.0 * m_screenHInch);
	int y1 = (int)(1.0 * m_screenVInch);
	int x2 = (int)(7.0 * m_screenHInch);
	int y2 = (int)(4.5 * m_screenVInch);

	pDC->Rectangle(x1, y1, x2, y2);
}

/////////////////////////////////////////////////////////////////////////////
// CInchAppView printing

BOOL CInchAppView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation

	pInfo->SetMaxPage(1);

	return DoPreparePrinting(pInfo);
}

void CInchAppView::OnBeginPrinting(CDC* pDC, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing

    m_printerHInch = pDC->GetDeviceCaps(LOGPIXELSX);
    m_printerVInch = pDC->GetDeviceCaps(LOGPIXELSY);
}

void CInchAppView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CInchAppView diagnostics

#ifdef _DEBUG
void CInchAppView::AssertValid() const
{
	CView::AssertValid();
}

void CInchAppView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CInchAppDoc* CInchAppView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CInchAppDoc)));
	return (CInchAppDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CInchAppView message handlers

int CInchAppView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// TODO: Add your specialized creation code here
	
    CClientDC clientDC(this);
    m_screenHInch =
        clientDC.GetDeviceCaps(LOGPIXELSX);
    m_screenVInch =
        clientDC.GetDeviceCaps(LOGPIXELSY);

	return 0;
}

void CInchAppView::OnPrint(CDC* pDC, CPrintInfo* pInfo) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	int x1 = (int)(1.0 * m_printerHInch);
	int y1 = (int)(1.0 * m_printerVInch);
	int x2 = (int)(7.0 * m_printerHInch);
	int y2 = (int)(4.5 * m_printerVInch);

	pDC->Rectangle(x1, y1, x2, y2);

	//CView::OnPrint(pDC, pInfo);
}
