// InchAppView.h : interface of the CInchAppView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_INCHAPPVIEW_H__CAE64EAE_59EC_11D1_AB9F_50A153C10000__INCLUDED_)
#define AFX_INCHAPPVIEW_H__CAE64EAE_59EC_11D1_AB9F_50A153C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CInchAppView : public CView
{
protected: // create from serialization only
	CInchAppView();
	DECLARE_DYNCREATE(CInchAppView)

// Attributes
public:
	CInchAppDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInchAppView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CInchAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	int m_screenHInch;
	int m_screenVInch;
	int m_printerHInch;
	int m_printerVInch;

// Generated message map functions
protected:
	//{{AFX_MSG(CInchAppView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in InchAppView.cpp
inline CInchAppDoc* CInchAppView::GetDocument()
   { return (CInchAppDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INCHAPPVIEW_H__CAE64EAE_59EC_11D1_AB9F_50A153C10000__INCLUDED_)
